<div class="control-section">
    <div id="modalTarget" #targetModal>
        <nav class="navbar justify-content-between">
            <div class="col-md-10">
                <h2 class="nav_logo heading_style">  {{i18Labels?.New_Announcements}} </h2>
                <p class="sub-heading"><small> {{i18Labels?.Description}}</small></p>
            </div>
            <div class="col-md-2">
                <button class="btn" routerLink="../announcements"> {{i18Labels?.Cancel}}</button>
                <button class="btn btn-dark" [disabled]="!newForm.valid" (click)="send_notifications()"> {{i18Labels?.Send}}</button>
            </div>
        </nav>
    </div>
    
    <div>
        <form class="form-horizontal mt-3" id="create-new-layer-form" #newForm="ngForm">
            <div class="form-group" >
                <label class="control-label col-md-6 font-weight-bold" for="schemaName"> {{i18Labels?.Type_Announcements}}
                    <span class="required">*</span></label>
                <div class="col-md-4">
                    <ejs-combobox id='selectedAnnouncements' required name="selectedAnnouncements" [dataSource]="announcementsList" [fields]="{ text: 'Name', value: 'Name' }" [allowFiltering]='true' [ignoreAccent]='true' [(ngModel)]="selectedAnnouncements">
                    </ejs-combobox>
                  
                </div>
            </div>
            <div class="form-group" >
                <label class="control-label col-md-6 font-weight-bold" for="schemaName"> {{i18Labels?.Recepients}} 
                    <span class="required">*</span></label>
                <div class="col-md-4">
                    <ejs-multiselect id='recepients' required name="recepients" [dataSource]="ListRecepients"  [fields]="{ text: 'name', value: 'usergroup_id' }" [allowFiltering]='true' [ignoreAccent]='true' [(ngModel)]="recepients">
                    </ejs-multiselect>
                   
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-2 font-weight-bold" for="layerName"> {{i18Labels?.Subject}}
                <span class="required">*</span></label>
                <div class="col-md-4">
                    <input type="text" required class="form-control" id="Subject"  name="Subject" [(ngModel)]="Subject">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-2 font-weight-bold" for="description"> {{i18Labels?.DescriptionAnnouncement}}
                <span class="required">*</span></label>
                <div class="col-md-4">
                    <textarea type="text" required class="form-control" id="description"  name="description" [(ngModel)]="description"></textarea>
                </div>
            </div>
</form>
    </div>
</div>
